{ lib, ... }:

let
  domain = "tube.giugl.io";
  network = import ./network.nix;
in {
  services = {
    invidious = {
      enable = true;
      port = 9092;
    };

    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = { proxyPass = "http://localhost:9092"; };
    };
  };

  networking.extraHosts = ''
    ${network.architect-lan} ${domain}
    ${network.architect-wg} ${domain}
  '';
}
