{ lib, ... }:

let
  domain = "tweet.giugl.io";
  network = import ./network.nix;
in {
  services = {
    nitter = {
      enable = true;
      server = {
        port = 9093;
        hostname = domain;
      };
      preferences = {
        replaceYouTube = "tube.giugl.io";
        replaceTwitter = "tweet.giugl.io";
      };
    };

    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = { proxyPass = "http://localhost:9093"; };
    };
  };

  networking.extraHosts = ''
    ${network.architect-lan} ${domain}
    ${network.architect-wg} ${domain}
  '';
}
